package com.ym.mec.biz.dal.entity;

import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;

/**
 * 对应数据库表(music_group_build_log):
 */
public class MusicGroupBuildLog {

	/**  */
	private Integer id;
	
	/**  */
	@ApiModelProperty(value = "乐团编号",required = false)
	private String musicGroupId;
	
	/** 事件 */
	@ApiModelProperty(value = "事件",required = false)
	private String event;
	
	/**  */
	@ApiModelProperty(value = "创建人编号",required = false)
	private Integer operator;
	
	/**  */
	@ApiModelProperty(value = "备注",required = false)
	private String memo;

	/**  */
	@ApiModelProperty(value = "创建人名字",required = false)
	private String realName;
	
	/**  */
	private java.util.Date createTime;

	public String getRealName() {
		return realName;
	}

	public void setRealName(String realName) {
		this.realName = realName;
	}

	public MusicGroupBuildLog(String musicGroupId, String event, Integer operator, String memo) {
		this.musicGroupId = musicGroupId;
		this.event = event;
		this.operator = operator;
		this.memo = memo;
	}

	public MusicGroupBuildLog() {
	}

	public void setId(Integer id){
		this.id = id;
	}
	
	public Integer getId(){
		return this.id;
	}
			
	public void setMusicGroupId(String musicGroupId){
		this.musicGroupId = musicGroupId;
	}
	
	public String getMusicGroupId(){
		return this.musicGroupId;
	}
			
	public void setEvent(String event){
		this.event = event;
	}
	
	public String getEvent(){
		return this.event;
	}
			
	public void setOperator(Integer operator){
		this.operator = operator;
	}
	
	public Integer getOperator(){
		return this.operator;
	}
			
	public void setMemo(String memo){
		this.memo = memo;
	}
	
	public String getMemo(){
		return this.memo;
	}
			
	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
